summaryrefslogtreecommitdiff
path: root/tests/cert-tests/provable-privkey
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/provable-privkey')
-rwxr-xr-xtests/cert-tests/provable-privkey13
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/cert-tests/provable-privkey b/tests/cert-tests/provable-privkey
index 3f94f9ee24..15f17d06c0 100755
--- a/tests/cert-tests/provable-privkey
+++ b/tests/cert-tests/provable-privkey
@@ -46,7 +46,7 @@ if test "${FIPS140}" = 1;then
SEED="30:EC:33:4F:97:DB:C0:BA:9C:86:52:A7:B5:D3:F7:B2:DB:BB:48:A4:84:2E:19:0D:21:0E:01:DA:BD:53:59:81:50:37:55:EE:96:A2:70:A5:98:E9:D9:1B:22:54:66:91:69:EB:DF:45:99:D9:F7:2A:CA"
DSAFILE=provable-dsa2048-fips.pem
else
-SEED="5A:0E:A0:41:77:9B:0A:B7:65:BE:25:09:C4:DE:90:E5:A0:E7:DA:AD:AE:6E:49:D3:59:38:F9:13:33:A8:E1:FE:50:9D:D2:DF:E1:96:7C:D0:04:54:28:10:34:97:D0:03:88:C8:CE:36:29:0F:E9:37:9F:80:03:CB:F8:FD:A4:DA:27"
+SEED="84:31:21:BD:89:53:5E:E8:69:46:D5:8D:24:6D:47:A5:8D:15:76:A8:35:1B:42:23:E1:CF:F3:69:A1:26:6D:2B:24:B0:72:9D:7C:A5:67:87:FD:E2:E3:DE:19:B9:F2:E7:21:AC:69:8A:29:61:77:32:E7:75:6F:5A:E4:58:0B:E1:79"
DSAFILE=provable-dsa2048.pem
fi
@@ -54,6 +54,9 @@ fi
${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "${srcdir}/data/${DSAFILE}" &
PID3=$!
+${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --seed "${SEED}" --load-privkey "${srcdir}/data/${DSAFILE}" &
+PID4=$!
+
wait $PID1
rc1=$?
@@ -63,6 +66,9 @@ rc2=$?
wait $PID3
rc3=$?
+wait $PID4
+rc4=$?
+
if test "${rc1}" != "0"; then
echo "Could not verify the 2048-bit key"
exit 1
@@ -78,6 +84,11 @@ if test "${rc3}" != "0"; then
exit 1
fi
+if test "${rc4}" != "0"; then
+ echo "Could not verify the 2048-bit DSA key with explicit seed"
+ exit 1
+fi
+
rm -f "$OUTFILE"
exit 0